Package: org.grails.gsp.io

## [Java] Interface GroovyPageLocator

- Used to locate GSPs whether in development or WAR deployed mode.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)` Adds a new resource loader to search
    `` | `GroovyPageScriptSource` | `findPage(java.lang.String uri)` Finds a page for the given URI
    `` | `GroovyPageScriptSource` | `findPageInBinding(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding)` Finds a page for the given URI
    `` | `GroovyPageScriptSource` | `findPageInBinding(java.lang.String uri, TemplateVariableBinding binding)` Finds a page for the URI and binding
    `` | `void` | `removePrecompiledPage(GroovyPageCompiledScriptSource compiledScriptSource)` Removes any precompiled pages for the given URI so that they can be replaced by dynamic pages

- - ### Method Detail

    - #### public void addResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)

      Adds a new resource loader to search

      Parameters:
        `resourceLoader` - The resource loader to search

    - #### public GroovyPageScriptSource findPage(java.lang.String uri)

      Finds a page for the given URI

      Parameters:
        `uri` - The URI
      Returns:
        A script source

    - #### public GroovyPageScriptSource findPageInBinding(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding)

      Finds a page for the given URI

      Parameters:
        `uri` - The URI
      Returns:
        A script source

    - #### public GroovyPageScriptSource findPageInBinding(java.lang.String uri, TemplateVariableBinding binding)

      Finds a page for the URI and binding

      Parameters:
        `uri` - The URI
        `binding` - The binding
      Returns:
        The page source

    - #### public void removePrecompiledPage(GroovyPageCompiledScriptSource compiledScriptSource)

      Removes any precompiled pages for the given URI so that they can be replaced by dynamic pages

      Parameters:
        `compiledScriptSource` - The compiled script source